Canalplan Bug Tracker



Anonymous Login
2019-03-20 17:24 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000529Canalplan [All Projects] Internal Improvementspublic2019-02-04 19:30
ReporterStephen Atty 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformGenericOSN/AOS VersionN/A
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000529: Enhancement to Stoppages links from Router Planner
DescriptionWhen planning a route with a stoppage the link goes to tab1 on the stoppages page which means that people have to find the right stoppage.

I've modified the code so that if you pass

&sid= as well then it displays the actual stoppage.

For example

https://canalplan.org.uk/utilities/stoppages.php?tab=1&sid=2053

If you are administrator this will open the stoppage for editing, but for regular users (or when not logged on) it will give them the stoppage details with the link back to the C&RT stoppage.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002018

Nick Atty (administrator)

Have a look at beta (also made it open in a new link). That working for you? If so, will be in next release.

~0002019

Stephen Atty (administrator)

looks good to me

~0002143

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2019-01-05 13:30 Stephen Atty New Issue
2019-01-05 13:30 Stephen Atty Status new => assigned
2019-01-05 13:30 Stephen Atty Assigned To => Nick Atty
2019-01-05 14:54 Nick Atty Note Added: 0002018
2019-01-05 15:42 Stephen Atty Note Added: 0002019
2019-01-05 19:29 Stephen Atty Status assigned => resolved
2019-01-05 19:29 Stephen Atty Resolution open => fixed
2019-02-04 19:30 Autoclose Note Added: 0002143
2019-02-04 19:30 Autoclose Status resolved => closed
+Issue History